NodeRings Docs

List Cloud Init Templates

GET
/v1/cloudinittemplates
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
filterIsTemplate?boolean

If not set, returns both template and non-template. If true, returns only templates. If false, returns only non-templates.

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/cloudinittemplates?page&pageSize&filterIsTemplate" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "cloudInitTemplates": [
    {
      "id": "string",
      "name": "string",
      "userData": "string",
      "vendorData": "string",
      "networkData": "string",
      "storage": "string",
      "organizationId": "string",
      "metadata": {},
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      },
      "isTemplate": true
    }
  ],
  "totalCount": 0
}